GDB (xrefs)

Public Member Functions | List of all members
any_static_probe_ops Class Reference
Inheritance diagram for any_static_probe_ops:

## Public Member Functions
bool | is_linespec (const char **linespecp) const override
void | get_probes (std::vector< probe *> *probesp, struct objfile *objfile) const override
const char * | type_name () const override
std::vector< struct info_probe_column > | gen_info_probes_table_header () const override
Public Member Functions inherited from static_probe_ops
virtual bool | can_enable () const

## Detailed Description

Definition at line 43 of file probe.c.

## Member Function Documentation

## ◆ gen_info_probes_table_header()

std::vector< struct info_probe_column > any_static_probe_ops::gen_info_probes_table_header | ( |  | ) | const
| override virtual

Implements static_probe_ops.

Definition at line 774 of file probe.c.

## ◆ get_probes()

void any_static_probe_ops::get_probes | ( | std::vector< probe *> * | probesp,
|  | struct objfile * | objfile
| ) |  | const
| override virtual

Implements static_probe_ops.

Definition at line 757 of file probe.c.

## ◆ is_linespec()

bool any_static_probe_ops::is_linespec | ( | const char ** | linespecp | ) | const
| override virtual

Implements static_probe_ops.

Definition at line 747 of file probe.c.

References probe_is_linespec_by_keyword().

## ◆ type_name()

const char * any_static_probe_ops::type_name | ( |  | ) | const
| override virtual

Implements static_probe_ops.

Definition at line 766 of file probe.c.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/probe.c